diff --git a/media/libjxl/src/tools/benchmark/metrics/plots.py b/media/libjxl/src/tools/benchmark/metrics/plots.py
index 04b2bb24e5..323202f4ca 100755
--- a/media/libjxl/src/tools/benchmark/metrics/plots.py
+++ b/media/libjxl/src/tools/benchmark/metrics/plots.py
@@ -13,14 +13,14 @@ _, results, output_dir, *rest = sys.argv
 OUTPUT = rest[0] if rest else 'svg'
 # valid values: html, svg, png, webp, jpeg, pdf
 
-with open(results, 'r') as f:
+with open(results) as f:
     reader = csv.DictReader(f)
     all_results = list(reader)
 
-nonmetric_columns = set([
+nonmetric_columns = {
     "method", "image", "error", "size", "pixels", "enc_speed", "dec_speed",
     "bpp", "bppp", "qabpp"
-])
+}
 
 metrics = set(all_results[0].keys()) - nonmetric_columns
 
@@ -28,10 +28,10 @@ metrics = set(all_results[0].keys()) - nonmetric_columns
 def codec(method):
     sm = method.split(':')
     ssm = set(sm)
-    speeds = set([
+    speeds = {
         'kitten', 'falcon', 'wombat', 'cheetah', 'tortoise', 'squirrel',
         'hare', 'fast'
-    ])
+    }
     s = speeds.intersection(ssm)
     if sm[0] == 'custom':
         return sm[1]
@@ -205,10 +205,10 @@ def style(codec):
     return configs.get(codec, dict())
 
 
-visible_by_default = set([
+visible_by_default = {
     'jxl-kitten', 'ssim.444.aom.avif', 'heif', 'webp', 'jpeg', 'xt.jpg',
     'default.kdu.j2k'
-])
+}
 
 column_remap = {
     'p': '6-Butteraugli',
@@ -234,9 +234,9 @@ def remap(metric):
 
 
 for (m, img) in data:
-    fname = "%s/%s_%s" % (output_dir, m, img)
+    fname = "{}/{}_{}".format(output_dir, m, img)
     fig = go.Figure()
-    for method in sorted(data[(m, img)].keys(), key=pos):
+    for method in sorted(list(data[(m, img)].keys()), key=pos):
         vals = data[(m, img)][method]
         zvals = list(zip(*sorted(vals)))
         if not zvals:
diff --git a/media/libjxl/src/tools/conformance/conformance.py b/media/libjxl/src/tools/conformance/conformance.py
index 6f5ccb659f..7c31706e07 100755
--- a/media/libjxl/src/tools/conformance/conformance.py
+++ b/media/libjxl/src/tools/conformance/conformance.py
@@ -69,8 +69,8 @@ def CompareBinaries(ref_bin, dec_bin):
     return True
 
 
-TEST_KEYS = set(
-    ['reconstructed_jpeg', 'original_icc', 'rms_error', 'peak_error'])
+TEST_KEYS = {
+    'reconstructed_jpeg', 'original_icc', 'rms_error', 'peak_error'}
 
 
 def CheckMeta(dec, ref):
@@ -113,13 +113,13 @@ def ConformanceTestRunner(args):
         corpus_dir = os.path.dirname(args.corpus)
         corpus_txt = args.corpus
 
-    with open(corpus_txt, 'r') as f:
+    with open(corpus_txt) as f:
         for test_id in f:
             test_id = test_id.rstrip('\n')
             print(f"\033[94m\033[1mTesting {test_id}\033[0m", flush=True)
             test_dir = os.path.join(corpus_dir, test_id)
 
-            with open(os.path.join(test_dir, 'test.json'), 'r') as f:
+            with open(os.path.join(test_dir, 'test.json')) as f:
                 descriptor = json.load(f)
                 if 'sha256sums' in descriptor:
                     del descriptor['sha256sums']
@@ -176,7 +176,7 @@ def ConformanceTestRunner(args):
                     ok = ok & binary_ok
 
                 # Validate metadata.
-                with open(meta_filename, 'r') as f:
+                with open(meta_filename) as f:
                     meta = json.load(f)
 
                 ok = ok & CheckMeta(meta, descriptor)
diff --git a/media/libjxl/src/tools/conformance/generator.py b/media/libjxl/src/tools/conformance/generator.py
index e2a9b2e66a..36e5ba5237 100755
--- a/media/libjxl/src/tools/conformance/generator.py
+++ b/media/libjxl/src/tools/conformance/generator.py
@@ -49,7 +49,7 @@ def GenerateConformanceCorpus(args):
 
         test_dir = os.path.join(args.output, test_id)
         os.makedirs(test_dir, 0o755, exist_ok=True)
-        print('Generating %s' % (test_id, ))
+        print('Generating {}'.format(test_id))
         input_file = os.path.join(test_dir, 'input.jxl')
         shutil.copy(jxl, input_file)
 
@@ -69,7 +69,7 @@ def GenerateConformanceCorpus(args):
         # Decode and generate the reference files.
         subprocess.check_call(cmd)
 
-        with open(metadata_filename, 'r') as f:
+        with open(metadata_filename) as f:
             metadata = json.load(f)
 
         if os.path.exists(original_icc_filename):
diff --git a/media/libjxl/src/tools/optimizer/apply_simplex.py b/media/libjxl/src/tools/optimizer/apply_simplex.py
index 2f56766eba..6a6b50212d 100644
--- a/media/libjxl/src/tools/optimizer/apply_simplex.py
+++ b/media/libjxl/src/tools/optimizer/apply_simplex.py
@@ -34,7 +34,7 @@ import sys
 def ParseSimplex(fn):
     """Returns the simplex definition written by simplex_fork.py"""
 
-    with open(fn, "r") as f:
+    with open(fn) as f:
         line = f.readline()
         vec = eval(line)
     return vec
@@ -46,17 +46,17 @@ def PythonExpr(c_expr):
     def repl(m):
         return m.group(1)
 
-    return re.sub("(\d+)f", repl, c_expr)
+    return re.sub(r"(\d+)f", repl, c_expr)
 
 
 def UpdateSourceFile(fn, vec, keep_bias, id_min, id_max, minval):
     """Updates expressions containing a bias(N) term."""
 
-    with open(fn, "r") as f:
+    with open(fn) as f:
         lines_in = f.readlines()
         lines_out = []
-        rbias = "(bias\((\d+)\))"
-        r = " -?\d+\.\d+f?( (\+|-|\*) (\d+\.\d+f? \* )?" + rbias + ")"
+        rbias = r"(bias\((\d+)\))"
+        r = r" -?\d+\.\d+f?( (\+|-|\*) (\d+\.\d+f? \* )?" + rbias + ")"
         for line in lines_in:
             line_out = line
             x = re.search(r, line)
diff --git a/media/libjxl/src/tools/optimizer/simplex_fork.py b/media/libjxl/src/tools/optimizer/simplex_fork.py
index a63589d0ae..6978915357 100755
--- a/media/libjxl/src/tools/optimizer/simplex_fork.py
+++ b/media/libjxl/src/tools/optimizer/simplex_fork.py
@@ -16,10 +16,6 @@ https://en.wikipedia.org/wiki/Nelder%E2%80%93Mead_method
 start as ./simplex_fork.py binary dimensions amount
 """
 
-from __future__ import absolute_import
-from __future__ import division
-from __future__ import print_function
-from six.moves import range
 import copy
 import os
 import random
diff --git a/media/libjxl/src/tools/optimizer/update_jpegli_global_scale.py b/media/libjxl/src/tools/optimizer/update_jpegli_global_scale.py
index 1a57c59db6..b1e9b20517 100644
--- a/media/libjxl/src/tools/optimizer/update_jpegli_global_scale.py
+++ b/media/libjxl/src/tools/optimizer/update_jpegli_global_scale.py
@@ -70,11 +70,11 @@ def EvalPnorm(build_dir, corpus_dir, codec):
   for line in out.splitlines():
     if line.startswith(codec):
       return float(line.split()[8])
-  raise Exception("Unexpected benchmark output:\n%sstderr:\n%s" % (out, err))
+  raise Exception("Unexpected benchmark output:\n{}stderr:\n{}".format(out, err))
 
 
 if len(sys.argv) != 3:
-  print("usage: ", sys.argv[0], "build-dir corpus-dir")
+  print(("usage: ", sys.argv[0], "build-dir corpus-dir"))
   exit(1)
 
 build_dir = sys.argv[1]
diff --git a/media/libjxl/src/tools/scripts/build_cleaner.py b/media/libjxl/src/tools/scripts/build_cleaner.py
index 7a357103d8..b55c318546 100644
--- a/media/libjxl/src/tools/scripts/build_cleaner.py
+++ b/media/libjxl/src/tools/scripts/build_cleaner.py
@@ -170,7 +170,7 @@ def MaybeUpdateFile(args, filename, new_text):
   otherwise it will return True when no changes were needed.
   """
   filepath = os.path.join(args.src_dir, filename)
-  with open(filepath, 'r') as f:
+  with open(filepath) as f:
     src_text = f.read()
 
   if new_text == src_text:
@@ -212,7 +212,7 @@ def FormatCMakeVar(name, var):
 
 
 def GetJpegLibVersion(src_dir):
-  with open(os.path.join(src_dir, 'CMakeLists.txt'), 'r') as f:
+  with open(os.path.join(src_dir, 'CMakeLists.txt')) as f:
     cmake_text = f.read()
     m = re.search(r'set\(JPEGLI_LIBJPEG_LIBRARY_SOVERSION "([0-9]+)"',
                   cmake_text)
@@ -229,7 +229,7 @@ def ToDocstringComment(lines):
 def BuildCleaner(args):
   repo_files = RepoFiles(args.src_dir)
 
-  with open(os.path.join(args.src_dir, 'lib/CMakeLists.txt'), 'r') as f:
+  with open(os.path.join(args.src_dir, 'lib/CMakeLists.txt')) as f:
     cmake_text = f.read()
   version = {'major_version': '', 'minor_version': '', 'patch_version': ''}
   for var in version.keys():
diff --git a/media/libjxl/src/tools/scripts/check_author.py b/media/libjxl/src/tools/scripts/check_author.py
index 7e16859335..074f00820f 100644
--- a/media/libjxl/src/tools/scripts/check_author.py
+++ b/media/libjxl/src/tools/scripts/check_author.py
@@ -20,7 +20,7 @@ def IsAuthorInFile(email, name, filename):
   # patterns.
   email_pattern_regex = re.compile(r'.*<([^>]+)>')
 
-  with open(filename, 'r') as f:
+  with open(filename) as f:
     for line in f:
       line = line.strip()
       if line.startswith('#') or not line:
@@ -31,7 +31,7 @@ def IsAuthorInFile(email, name, filename):
       # Exact email address match is OK, even if the name is different.
       if fnmatch.fnmatch(line, '* <%s>' % email):
         print(
-            "User %s <%s> matched with different name %s" % (name, email, line),
+            "User {} <{}> matched with different name {}".format(name, email, line),
             file=sys.stderr)
         return True
       # Organizations often have *@domain.com email patterns which don't match
@@ -39,14 +39,14 @@ def IsAuthorInFile(email, name, filename):
       if '*' in line:
         m = email_pattern_regex.match(line)
         if m and fnmatch.fnmatch(email, m.group(1)):
-          print("User %s <%s> matched pattern %s" % (name, email, line),
+          print("User {} <{}> matched pattern {}".format(name, email, line),
                 file=sys.stderr)
           return True
   return False
 
 def IndividualsInAlphabeticOrder(filename):
   """Checks if the names are in alphabetic order"""
-  with open(filename, 'r') as f:
+  with open(filename) as f:
     lines = f.readlines()
     individual_header = '# Individuals:\n'
     if individual_header in lines:
@@ -70,7 +70,7 @@ def CheckAuthor(args):
   author_in_file = IsAuthorInFile(
       args.email, args.name, authors_path)
   if not author_in_file:
-    print("User %s <%s> not found, please add yourself to the AUTHORS file" % (
+    print("User {} <{}> not found, please add yourself to the AUTHORS file".format(
               args.name, args.email),
           file=sys.stderr)
     print("Hint: to override author in PR run:\n"
diff --git a/media/libjxl/src/tools/scripts/demo_progressive_saliency_encoding.py b/media/libjxl/src/tools/scripts/demo_progressive_saliency_encoding.py
index 6eb5cadd54..b28ee23a1b 100644
--- a/media/libjxl/src/tools/scripts/demo_progressive_saliency_encoding.py
+++ b/media/libjxl/src/tools/scripts/demo_progressive_saliency_encoding.py
@@ -26,10 +26,6 @@ Method:
 
 """
 
-from __future__ import absolute_import
-from __future__ import division
-from __future__ import print_function
-from six.moves import zip
 import ast  # For ast.literal_eval() only.
 import os
 import re
diff --git a/media/libjxl/src/tools/upscaling_coefficients/generate_upscaling_coefficients.py b/media/libjxl/src/tools/upscaling_coefficients/generate_upscaling_coefficients.py
index 17c404d1cd..31cdb83ca5 100755
--- a/media/libjxl/src/tools/upscaling_coefficients/generate_upscaling_coefficients.py
+++ b/media/libjxl/src/tools/upscaling_coefficients/generate_upscaling_coefficients.py
@@ -190,11 +190,11 @@ def weights_arrays(upscaling_factor, kernel_size=5):
   return (
       f"kernel[{upscaling_factor}][{upscaling_factor}][{kernel_size}][{kernel_size}]"
       f" = {{" + ", \n".join("{\n" + ", \n\n".join(
-          ("{" + ", \n".join("{" + ", ".join(
+          "{" + ", \n".join("{" + ", ".join(
               f"weights[{str(indices[kernel_size*i + j][kernel_size*a + b])}]"
               for b in range(kernel_size)) + "}"
                              for j in range(kernel_size)) + "}"
-           for a in range(upscaling_factor // 2))) + "\n}"
+           for a in range(upscaling_factor // 2)) + "\n}"
                              for i in range(upscaling_factor // 2)) + "}\n")
 
 
diff --git a/media/libopus/gen-sources.py b/media/libopus/gen-sources.py
index fdd0f556d2..7bbe9d56a6 100644
--- a/media/libopus/gen-sources.py
+++ b/media/libopus/gen-sources.py
@@ -34,7 +34,7 @@ def generate_sources_mozbuild(path):
             values = []
             definition_started = False
 
-            with open('%s/%s' % (path, makefile), 'r') as mk:
+            with open('{}/{}'.format(path, makefile)) as mk:
                 for line in mk:
                     line = line.rstrip()
                     result = var_definition.match(line)
diff --git a/media/libstagefright/files.py b/media/libstagefright/files.py
index 4d6775fa4b..16abe5c951 100644
--- a/media/libstagefright/files.py
+++ b/media/libstagefright/files.py
@@ -9,7 +9,7 @@ CXXFLAGS=[]
 CONFIG['_MSC_VER'] = 0
 CONFIG['OS_TARGET'] = 0
 
-class Exports(object):
+class Exports:
     def __init__(self):
         self.mp4_demuxer=[]
 
@@ -20,10 +20,10 @@ UNIFIED_SOURCES=[]
 LOCAL_INCLUDES=[]
 
 try:
-    execfile('moz.build')
+    exec(compile(open('moz.build', "rb").read(), 'moz.build', 'exec'))
 except:
     sys.exit(1)
 
 for f in SOURCES+UNIFIED_SOURCES:
     if not f.startswith('binding/'):
-        print f
+        print(f)
diff --git a/media/libvpx/libvpx/test/android/get_files.py b/media/libvpx/libvpx/test/android/get_files.py
index 98ce7b1947..539605ca25 100644
--- a/media/libvpx/libvpx/test/android/get_files.py
+++ b/media/libvpx/libvpx/test/android/get_files.py
@@ -11,6 +11,7 @@
 #   1) File / test_data folder does not exist
 #   2) SHA mismatch
 
+from __future__ import print_function
 import pycurl
 import csv
 import hashlib
diff --git a/media/libvpx/libvpx/test/android/scrape_gtest_log.py b/media/libvpx/libvpx/test/android/scrape_gtest_log.py
index 487845c270..2eafa156d6 100644
--- a/media/libvpx/libvpx/test/android/scrape_gtest_log.py
+++ b/media/libvpx/libvpx/test/android/scrape_gtest_log.py
@@ -13,6 +13,7 @@ waterfall to gather json results mixed in with gtest logs.  This is
 dubious software engineering.
 """
 
+from __future__ import print_function
 import getopt
 import json
 import os
@@ -22,7 +23,7 @@ import sys
 
 def main():
   if len(sys.argv) != 3:
-    print "Expects a file to write json to!"
+    print("Expects a file to write json to!")
     exit(1)
 
   try:
@@ -30,7 +31,7 @@ def main():
         getopt.getopt(sys.argv[1:], \
                       'o:', ['output-json='])
   except getopt.GetOptError:
-    print 'scrape_gtest_log.py -o <output_json>'
+    print('scrape_gtest_log.py -o <output_json>')
     sys.exit(2)
 
   output_json = ''
@@ -41,10 +42,10 @@ def main():
   blob = sys.stdin.read()
   json_string = '[' + ','.join('{' + x + '}' for x in
                                re.findall(r'{([^}]*.?)}', blob)) + ']'
-  print blob
+  print(blob)
 
   output = json.dumps(json.loads(json_string), indent=4, sort_keys=True)
-  print output
+  print(output)
 
   path = os.path.dirname(output_json)
   if path and not os.path.exists(path):
diff --git a/media/libvpx/libvpx/tools/cpplint.py b/media/libvpx/libvpx/tools/cpplint.py
index e3ebde2f5a..e3a97de303 100755
--- a/media/libvpx/libvpx/tools/cpplint.py
+++ b/media/libvpx/libvpx/tools/cpplint.py
@@ -512,7 +512,7 @@ _ALT_TOKEN_REPLACEMENT = {
 # False positives include C-style multi-line comments and multi-line strings
 # but those have always been troublesome for cpplint.
 _ALT_TOKEN_REPLACEMENT_PATTERN = re.compile(
-    r'[ =()](' + ('|'.join(_ALT_TOKEN_REPLACEMENT.keys())) + r')(?=[ (]|$)')
+    r'[ =()](' + ('|'.join(list(_ALT_TOKEN_REPLACEMENT.keys()))) + r')(?=[ (]|$)')
 
 
 # These constants define types of headers for use with
diff --git a/media/libvpx/libvpx/tools/intersect-diffs.py b/media/libvpx/libvpx/tools/intersect-diffs.py
index 590e687b47..4317fa3f96 100755
--- a/media/libvpx/libvpx/tools/intersect-diffs.py
+++ b/media/libvpx/libvpx/tools/intersect-diffs.py
@@ -14,6 +14,7 @@ in A and prints them to stdout. This is useful to determine the hunks in B that
 are relevant to A. The resulting file can be applied with patch(1) on top of A.
 """
 
+from __future__ import print_function
 __author__ = "jkoleszar@google.com"
 
 import sys
diff --git a/media/libvpx/libvpx/tools/lint-hunks.py b/media/libvpx/libvpx/tools/lint-hunks.py
index 0a94afebb9..33f35d568f 100755
--- a/media/libvpx/libvpx/tools/lint-hunks.py
+++ b/media/libvpx/libvpx/tools/lint-hunks.py
@@ -8,6 +8,7 @@
 ##  be found in the AUTHORS file in the root of the source tree.
 ##
 """Performs style checking on each diff hunk."""
+from __future__ import print_function
 import getopt
 import os
 import io
diff --git a/media/libvpx/update.py b/media/libvpx/update.py
index 18d7166382..21b8c23a94 100755
--- a/media/libvpx/update.py
+++ b/media/libvpx/update.py
@@ -2,6 +2,7 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
+from __future__ import print_function
 import argparse
 import os
 import re
@@ -9,15 +10,15 @@ import shutil
 import sys
 import subprocess
 import tarfile
-import urllib
+import six.moves.urllib.request, six.moves.urllib.parse, six.moves.urllib.error
 from pprint import pprint
 from StringIO import StringIO
 
 def prepare_upstream(prefix, commit=None):
     upstream_url = 'https://chromium.googlesource.com/webm/libvpx'
     shutil.rmtree(os.path.join(base, 'libvpx/'))
-    print(upstream_url + '/+archive/' + commit + '.tar.gz')
-    urllib.urlretrieve(upstream_url + '/+archive/' + commit + '.tar.gz', 'libvpx.tar.gz')
+    print((upstream_url + '/+archive/' + commit + '.tar.gz'))
+    six.moves.urllib.request.urlretrieve(upstream_url + '/+archive/' + commit + '.tar.gz', 'libvpx.tar.gz')
     tarfile.open('libvpx.tar.gz').extractall(path='libvpx')
     os.remove(os.path.join(base, 'libvpx.tar.gz'))
     os.chdir(base)
diff --git a/media/libyuv/tools_libyuv/autoroller/roll_deps.py b/media/libyuv/tools_libyuv/autoroller/roll_deps.py
index 5496e42403..2113e3cbe5 100755
--- a/media/libyuv/tools_libyuv/autoroller/roll_deps.py
+++ b/media/libyuv/tools_libyuv/autoroller/roll_deps.py
@@ -175,7 +175,7 @@ def ReadUrlContent(url):
   conn = urllib.request.urlopen(url)
   try:
     return conn.readlines()
-  except IOError as e:
+  except OSError as e:
     logging.exception('Error connecting to %s. Error: %s', url, e)
     raise
   finally:
@@ -277,7 +277,7 @@ def CalculateChangedClang(new_cr_rev):
         return match.group(1)
     raise RollError('Could not parse Clang revision from:\n' + '\n'.join('  ' + l for l in lines))
 
-  with open(CLANG_UPDATE_SCRIPT_LOCAL_PATH, 'r') as f:
+  with open(CLANG_UPDATE_SCRIPT_LOCAL_PATH) as f:
     current_lines = f.readlines()
   current_rev = GetClangRev(current_lines)
 
@@ -291,10 +291,10 @@ def GenerateCommitMessage(current_cr_rev, new_cr_rev, current_commit_pos,
                           new_commit_pos, changed_deps_list, clang_change):
   current_cr_rev = current_cr_rev[0:10]
   new_cr_rev = new_cr_rev[0:10]
-  rev_interval = '%s..%s' % (current_cr_rev, new_cr_rev)
-  git_number_interval = '%s:%s' % (current_commit_pos, new_commit_pos)
+  rev_interval = '{}..{}'.format(current_cr_rev, new_cr_rev)
+  git_number_interval = '{}:{}'.format(current_commit_pos, new_commit_pos)
 
-  commit_msg = ['Roll chromium_revision %s (%s)\n' % (rev_interval,
+  commit_msg = ['Roll chromium_revision {} ({})\n'.format(rev_interval,
                                                     git_number_interval)]
   commit_msg.append('Change log: %s' % (CHROMIUM_LOG_TEMPLATE % rev_interval))
   commit_msg.append('Full diff: %s\n' % (CHROMIUM_COMMIT_TEMPLATE %
@@ -303,7 +303,7 @@ def GenerateCommitMessage(current_cr_rev, new_cr_rev, current_commit_pos,
     commit_msg.append('Changed dependencies:')
 
     for c in changed_deps_list:
-      commit_msg.append('* %s: %s/+log/%s..%s' % (c.path, c.url,
+      commit_msg.append('* {}: {}/+log/{}..{}'.format(c.path, c.url,
                                                   c.current_rev[0:10],
                                                   c.new_rev[0:10]))
     change_url = CHROMIUM_FILE_TEMPLATE % (rev_interval, 'DEPS')
@@ -350,7 +350,7 @@ def UpdateDepsFile(deps_filename, old_cr_revision, new_cr_revision,
           'target_os = ["android", "unix", "mac", "ios", "win"];\n'
           'Then run "gclient sync" again.' % local_dep_dir)
     _RunCommand(
-      ['gclient', 'setdep', '--revision', '%s@%s' % (dep.path, dep.new_rev)],
+      ['gclient', 'setdep', '--revision', '{}@{}'.format(dep.path, dep.new_rev)],
       working_dir=CHECKOUT_SRC_DIR)
 
 
diff --git a/media/libyuv/tools_libyuv/autoroller/unittests/roll_deps_test.py b/media/libyuv/tools_libyuv/autoroller/unittests/roll_deps_test.py
index af86bdd586..9acce41989 100755
--- a/media/libyuv/tools_libyuv/autoroller/unittests/roll_deps_test.py
+++ b/media/libyuv/tools_libyuv/autoroller/unittests/roll_deps_test.py
@@ -55,11 +55,11 @@ class FakeCmd():
 
   def __call__(self, *args, **kwargs):
     if not self.expectations:
-      raise TestError('Got unexpected\n%s\n%s' % (args, kwargs))
+      raise TestError('Got unexpected\n{}\n{}'.format(args, kwargs))
     exp_args, exp_kwargs, exp_returns = self.expectations.pop(0)
     if args != exp_args or kwargs != exp_kwargs:
-      message = 'Expected:\n  args: %s\n  kwargs: %s\n' % (exp_args, exp_kwargs)
-      message += 'Got:\n  args: %s\n  kwargs: %s\n' % (args, kwargs)
+      message = 'Expected:\n  args: {}\n  kwargs: {}\n'.format(exp_args, exp_kwargs)
+      message += 'Got:\n  args: {}\n  kwargs: {}\n'.format(args, kwargs)
       raise TestError(message)
     return exp_returns
 
@@ -92,13 +92,13 @@ class TestRollChromiumRevision(unittest.TestCase):
 
     current_rev = TEST_DATA_VARS['chromium_revision']
     UpdateDepsFile(self._libyuv_depsfile, current_rev, new_rev, [])
-    with open(self._libyuv_depsfile, 'r') as deps_file:
+    with open(self._libyuv_depsfile) as deps_file:
       deps_contents = deps_file.read()
       self.assertTrue(new_rev in deps_contents,
-                      'Failed to find %s in\n%s' % (new_rev, deps_contents))
+                      'Failed to find {} in\n{}'.format(new_rev, deps_contents))
 
   def testParseDepsDict(self):
-    with open(self._libyuv_depsfile, 'r') as deps_file:
+    with open(self._libyuv_depsfile) as deps_file:
       deps_contents = deps_file.read()
     local_scope = ParseDepsDict(deps_contents)
     vars_dict = local_scope['vars']
diff --git a/media/mtransport/third_party/import.py b/media/mtransport/third_party/import.py
index 6defdf26b7..6a99a579e3 100644
--- a/media/mtransport/third_party/import.py
+++ b/media/mtransport/third_party/import.py
@@ -6,6 +6,7 @@
 # Execute as: /import.py <source-distribution> <target-dir>
 # <target-dir> must have 'IMPORT_FILES' in it
 
+from __future__ import print_function
 import sys
 import re
 import os
@@ -30,7 +31,7 @@ for l in f:
     FILES.append(l)
 
 for f in FILES:
-    print f
+    print(f)
     SOURCE_PATH = "%s/%s"%(DISTRO,f)
     DEST_PATH = "%s/%s"%(IMPORT_DIR,f)
     if not os.path.exists(SOURCE_PATH):
diff --git a/media/webrtc/trunk/build/android/adb_logcat_monitor.py b/media/webrtc/trunk/build/android/adb_logcat_monitor.py
index aeaef0b093..4f3cd258c5 100755
--- a/media/webrtc/trunk/build/android/adb_logcat_monitor.py
+++ b/media/webrtc/trunk/build/android/adb_logcat_monitor.py
@@ -16,6 +16,7 @@ resilient across phone disconnects and reconnects and start the logcat
 early enough to not miss anything.
 """
 
+from __future__ import print_function
 import logging
 import os
 import re
@@ -98,7 +99,7 @@ def main(base_dir, adb_cmd='adb'):
   """Monitor adb forever.  Expects a SIGINT (Ctrl-C) to kill."""
   # We create the directory to ensure 'run once' semantics
   if os.path.exists(base_dir):
-    print 'adb_logcat_monitor: %s already exists? Cleaning' % base_dir
+    print('adb_logcat_monitor: %s already exists? Cleaning' % base_dir)
     shutil.rmtree(base_dir, ignore_errors=True)
 
   os.makedirs(base_dir)
@@ -138,7 +139,7 @@ def main(base_dir, adb_cmd='adb'):
   except:
     logging.exception('Unexpected exception in main.')
   finally:
-    for process, _ in devices.itervalues():
+    for process, _ in devices.values():
       if process:
         try:
           process.terminate()
@@ -149,7 +150,7 @@ def main(base_dir, adb_cmd='adb'):
 
 if __name__ == '__main__':
   if 2 <= len(sys.argv) <= 3:
-    print 'adb_logcat_monitor: Initializing'
+    print('adb_logcat_monitor: Initializing')
     sys.exit(main(*sys.argv[1:3]))
 
-  print 'Usage: %s <base_dir> [<adb_binary_path>]' % sys.argv[0]
+  print('Usage: %s <base_dir> [<adb_binary_path>]' % sys.argv[0])
diff --git a/media/webrtc/trunk/build/android/adb_logcat_printer.py b/media/webrtc/trunk/build/android/adb_logcat_printer.py
index 5194668ec6..ea24b2aff8 100755
--- a/media/webrtc/trunk/build/android/adb_logcat_printer.py
+++ b/media/webrtc/trunk/build/android/adb_logcat_printer.py
@@ -18,6 +18,7 @@ will attempt to terminate the contained PID by sending a SIGINT and
 monitoring for the deletion of the aforementioned file.
 """
 
+from __future__ import print_function
 import cStringIO
 import logging
 import os
@@ -106,7 +107,7 @@ def GetDeviceLogs(log_filenames, logger):
   """
   device_logs = []
 
-  for device, device_files in log_filenames.iteritems():
+  for device, device_files in log_filenames.items():
     logger.debug('%s: %s', device, str(device_files))
     device_file_lines = []
     for cur_file in device_files:
@@ -197,6 +198,6 @@ def main(base_dir, output_file):
 
 if __name__ == '__main__':
   if len(sys.argv) == 1:
-    print 'Usage: %s <base_dir>' % sys.argv[0]
+    print('Usage: %s <base_dir>' % sys.argv[0])
     sys.exit(1)
   sys.exit(main(sys.argv[1], sys.stdout))
diff --git a/media/webrtc/trunk/build/android/device_stats_monitor.py b/media/webrtc/trunk/build/android/device_stats_monitor.py
index 181c3db5ff..cf3d41c9f9 100755
--- a/media/webrtc/trunk/build/android/device_stats_monitor.py
+++ b/media/webrtc/trunk/build/android/device_stats_monitor.py
@@ -10,6 +10,7 @@ Usage:
   ./device_stats_monitor.py --hz=20 --duration=5 --outfile=/tmp/foo
 """
 
+from __future__ import print_function
 import optparse
 import os
 import sys
@@ -34,10 +35,10 @@ def main(argv):
   monitor = device_stats_monitor.DeviceStatsMonitor(
       android_commands.AndroidCommands(), options.hz, options.build_type)
   monitor.Start()
-  print 'Waiting for %d seconds while profiling.' % options.duration
+  print('Waiting for %d seconds while profiling.' % options.duration)
   time.sleep(options.duration)
   url = monitor.StopAndCollect(options.outfile)
-  print 'View results in browser at %s' % url
+  print('View results in browser at %s' % url)
 
 if __name__ == '__main__':
   sys.exit(main(sys.argv))
diff --git a/media/webrtc/trunk/build/android/device_status_check.py b/media/webrtc/trunk/build/android/device_status_check.py
index 3d695a2235..db8541f6b6 100755
--- a/media/webrtc/trunk/build/android/device_status_check.py
+++ b/media/webrtc/trunk/build/android/device_status_check.py
@@ -5,6 +5,7 @@
 # found in the LICENSE file.
 
 """A class to keep track of devices across builds and report state."""
+from __future__ import print_function
 import logging
 import optparse
 import os
@@ -112,7 +113,7 @@ def CheckForMissingDevices(options, adb_online_devs):
          'adb devices: %s' % GetCmdOutput(['adb', 'devices']),
          'adb devices(GetAttachedDevices): %s' % GetAttachedDevices()])
 
-    print body
+    print(body)
 
     # Only send email if the first time a particular device goes offline
     last_missing = ReadDeviceList('.last_missing')
@@ -129,15 +130,15 @@ def CheckForMissingDevices(options, adb_online_devs):
         server.sendmail(from_address, [to_address], msg_body)
         server.quit()
       except Exception as e:
-        print 'Failed to send alert email. Error: %s' % e
+        print('Failed to send alert email. Error: %s' % e)
   else:
     new_devs = set(adb_online_devs) - set(last_devices)
     if new_devs and os.path.exists(last_devices_path):
       buildbot_report.PrintWarning()
       buildbot_report.PrintSummaryText(
           '%d new devices detected' % len(new_devs))
-      print ('New devices detected %s. And now back to your '
-             'regularly scheduled program.' % list(new_devs))
+      print(('New devices detected %s. And now back to your '
+             'regularly scheduled program.' % list(new_devs)))
   WriteDeviceList('.last_devices', (adb_online_devs + last_devices))
   WriteDeviceList('.last_missing', missing_devs)
 
@@ -156,14 +157,14 @@ def main():
   devices = GetAttachedDevices()
   types, builds, reports = [], [], []
   if devices:
-    types, builds, reports = zip(*[DeviceInfo(dev) for dev in devices])
+    types, builds, reports = list(zip(*[DeviceInfo(dev) for dev in devices]))
 
   unique_types = list(set(types))
   unique_builds = list(set(builds))
 
   buildbot_report.PrintMsg('Online devices: %d. Device types %s, builds %s'
                            % (len(devices), unique_types, unique_builds))
-  print '\n'.join(reports)
+  print('\n'.join(reports))
   CheckForMissingDevices(options, devices)
 
 if __name__ == '__main__':
diff --git a/media/webrtc/trunk/build/android/emulator.py b/media/webrtc/trunk/build/android/emulator.py
index 77c9a75daa..d27c424495 100755
--- a/media/webrtc/trunk/build/android/emulator.py
+++ b/media/webrtc/trunk/build/android/emulator.py
@@ -82,7 +82,7 @@ class PortPool(object):
     a killed emulator "hangs on" to a port long enough to prevent
     relaunch.  This is especially true on slow machines (like a bot).
     Cycling through a port start position helps make us resilient."""
-    ports = range(cls._port_min, cls._port_max, 2)
+    ports = list(range(cls._port_min, cls._port_max, 2))
     n = cls._port_current_index
     cls._port_current_index = (n + 1) % len(ports)
     return ports[n:] + ports[:n]
